Skip to content

Get Sequence Calendar When

GET
/sequences/{sequence_id}/calendar/when

When a sequence sends: counts per hour or day in a window, sent and upcoming.

Authorizations

Parameters

Path Parameters

sequence_id
required

Sequence id.

string

Sequence id.

Query Parameters

tz

IANA time zone the windows and hours are expressed in.

string
default: UTC

IANA time zone the windows and hours are expressed in.

start
Any of:
string
end
Any of:
string
show_projected

Include projected (not yet scheduled) times. 400 projection_disabled while off.

boolean

Include projected (not yet scheduled) times. 400 projection_disabled while off.

Header Parameters

X-Target-Org-Id
Any of:
string

Responses

200

Successful Response

object
data
required

A sequence calendar read or action result (plan, when, who, org calendar, skip, send-now), as the app returns it.

object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string